package task2;

import java.util.Date;

public class Employee extends Person {

    private String profession;
    private int salary;

    public Employee(String n, String s, Date d, String profession, int salary) {
        super(n, s, d);
        this.profession = profession;
        this.salary = salary;
    }

    public String getProfession() {
        return profession;
    }

    public int getSalary() {
        return salary;
    }

    @Override
    public boolean equals(Object other) {
        return super.equals(other) &&
                other instanceof Employee &&
                ((Employee) other).profession.equals(profession) &&
                ((Employee) other).salary == salary;
    }

    @Override
    public String toString() {
        return super.toString() + ", Profession: " + profession + ", Salary: " + salary;
    }
}
