package task2;

import java.util.Date;

public class Person
{
    // Variables representing name, sex, and birthday.
    private String name;
    private String sex;
    private Date birthday;

    // Constructor receiving the name, sex, and birth date.
    public Person(String n, String s, Date d)
    {
        name = n;
        sex = s;
        birthday = d;
    }

    // Methods that return various attributes.
    public String getName()
    {
        return this.name;
    }

    public String getSex()
    {
        return this.sex;
    }

    public Date getBirthday()
    {
        return this.birthday;
    }

    //Override from Object class
    public String toString() {
        return "Name: " + getName() + ", Sex: " + getSex() + ", Birthday:" + this.birthday.toString();
    }

    // Implement this method!
    public boolean equals(Object other) {
        if (other instanceof Person) {
            return ((Person) other).name.equals(name) &&
                    ((Person) other).sex.equals(sex) &&
                    ((Person) other).birthday.equals(birthday);
        } else {
            return false;
        }
    }
}
